Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
firmware::UpdateStatus Struct Reference

Firmware update status More...

## Public Attributes
string | state
| Current state of firmware update: NONE, INIT, PREP, SIMULATE, UPDATE, SUCCESS or FAIL.
int | elapsed
| Seconds since start of update, 0 if not available.
int | estimated
| Estimated total time for update, 0 if not available.
string | error_message
| Error message; empty if there was no error.

## Detailed Description

Firmware update status

Definition at line 14 of file FirmwareUpdateStatus.idl.

## Member Data Documentation

## ◆ elapsed

int firmware::UpdateStatus::elapsed

Seconds since start of update, 0 if not available.

Definition at line 16 of file FirmwareUpdateStatus.idl.

## ◆ error_message

string firmware::UpdateStatus::error_message

Error message; empty if there was no error.

Definition at line 18 of file FirmwareUpdateStatus.idl.

## ◆ estimated

int firmware::UpdateStatus::estimated

Estimated total time for update, 0 if not available.

Definition at line 17 of file FirmwareUpdateStatus.idl.

## ◆ state

string firmware::UpdateStatus::state

Current state of firmware update: NONE, INIT, PREP, SIMULATE, UPDATE, SUCCESS or FAIL.

Definition at line 15 of file FirmwareUpdateStatus.idl.

The documentation for this struct was generated from the following file:

- FirmwareUpdateStatus.idl